Page MenuHomePhabricator

oo.EmitterList: moveItem() is broken when moving an item to a lower index
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2017, 4:53 PM

Change 348310 had a related patch set uploaded (by AndyRussG):
[oojs/core@master] EmitterList: Fix moving an item to a lower index

https://gerrit.wikimedia.org/r/348310

The new test case in above patch shows how to reproduce... :)

Krinkle triaged this task as High priority.Apr 17 2017, 7:53 PM
Krinkle moved this task from Inbox to Confirmed Bugs on the OOjs board.

Change 348310 merged by jenkins-bot:
[oojs/core@master] EmitterList: Fix moving an item to a lower index

https://gerrit.wikimedia.org/r/348310

Krinkle closed this task as Resolved.May 8 2017, 12:34 AM
Krinkle assigned this task to Mooeypoo.
Krinkle moved this task from Confirmed Bugs to Assigned on the OOjs board.